Skip to main content
POST
Start a chunked upload

Authorizations

Authorization
string
header
required

A workspace API key: Authorization: Bearer osk_...

Path Parameters

workspace
string<uuid>
required

Your workspace UUID. Must match the API key's workspace.

Body

application/json
filename
string
required
Example:

"launch.mp4"

mime_type
string
required
Example:

"video/mp4"

total_size
integer
required

File size in bytes.

Response

200 - application/json

Success

upload_uuid
string<uuid>
chunk_size
integer
total_chunks
integer